V1PlatformModerationClubsIdMembers
Active members of a club, to choose who to remove
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidQuery Parameters
cursor?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidlimit?integer
Range
1 <= value <= 50Default
25Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/platform/moderation/clubs/497f6eca-6276-4993-bfeb-53cbbbba6f08/members"{ "members": [ { "membershipId": "8072cc74-4782-4f2c-827c-699c48ce2092", "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b", "alias": "string", "handle": "string", "role": "owner", "joinedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"}Remove a participant from a challenge POST
Ends the enrolment and clears the person's leaderboard and public display sharing, exactly like leaving. The person cannot rejoin this challenge on their own.
Remove a member from a club and its events and challenges POST
Ends the membership, event memberships and challenge enrolments with their sharing choices, exactly like leaving. The person cannot rejoin this club on their own.